Subject: Re: [PATCH] early serial init

From: andrew may <[email-masked]>
Date: Thu, 11 Apr 2002 16:28:49 -0700

On Thu, Apr 11, 2002 at 04:10:56PM -0700, Tom Rini wrote:
> On Thu, Apr 11, 2002 at 03:36:42PM -0700, andrew may wrote:
>
> > This patch is to remove the need for the BASE BAUD define.
>
> Only if you get this information from somewhere else, yes?  This isn't
> currently something we grab from OpenBIOS, or could, right?

If you look at the patch you see the only thing we need to know is the clock
rate of the CPU. Then you can to a mfdcr() to calc the base baud. If there
is an external clock then we need the basebaud from somewhere else.

We dumped OpenBIOS and put on PPCBoot, but I think OpenBIOS provides the
clock speed.

> > If we ever start
> > trying to get a single kernel to build for multiple 405 boards that run at
> > various clock rates it becomes helpful to calc the base baud for the serial
> > ports rather than forcing it at compile time.
>
> If we ever start trying to get a single kernel to build for multiple 405
> boards something has gone wrong. :)
>
> More seriously, if someone wants to try and do that there's lots of
> other things which would need to be changed first.

Yes there is a lot of work to do, but I would like to see it happen.
Right now we have to do seperate builds for our custum board and one for
our Walnut boards and that is a pain.

I though it would be good to start small and see how things go, before another
fork got started :).

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/